package com.philisense.www.dao.impl;

import com.philisense.www.dao.EbookArticleTxtDAO;
import com.philisense.www.mapper.EbookArticleTxtMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class EbookArticleTxtDAOImpl implements EbookArticleTxtDAO {
        @Autowired
        private EbookArticleTxtMapper ebookArticleTxtMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return ebookArticleTxtMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return ebookArticleTxtMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return ebookArticleTxtMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return ebookArticleTxtMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return ebookArticleTxtMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return ebookArticleTxtMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return ebookArticleTxtMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return ebookArticleTxtMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return ebookArticleTxtMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return ebookArticleTxtMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            ebookArticleTxtMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            ebookArticleTxtMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            ebookArticleTxtMapper.updateBatch(list);
        }
}
